Skip to content

List Scope Refinement surveys (super admin only)

GET
/admin/scope-surveys
curl --request GET \
--url https://example.com/api/admin/scope-surveys \
--header 'Authorization: Bearer <token>'

Surveys with response counts

Media type application/json
object
surveys
required
Array<object>
object
id
required
string format: uuid
code
required
string
title
required
string
created_at
required
string format: date-time
response_count
required
integer

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean

Forbidden

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number